Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.api
Interface IApplicationLoader

All Known Implementing Classes:
  TomcatApplicationLoader

    public interface IApplicationLoader

Interface for servers that can load new applications.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

Method Summary
`ApplicationContext` | `getRootContext()` Return the root `ApplicationContext`.
`void` | `loadApplication(String contextPath, String virtualHosts, String directory)` Load a new application for the given context path from a directory.

Method Detail

### loadApplication

    void loadApplication(String contextPath,
                         String virtualHosts,
                         String directory)
                         throws Exception

  Load a new application for the given context path from a directory.

  Parameters:
    `contextPath` - context path
    `virtualHosts` - virtual hosts
    `directory` - directory
  Throws:
    `Exception` - for fun

### getRootContext

    ApplicationContext getRootContext()

  Return the root `ApplicationContext`.

  Returns:
    application context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project